Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.core.indexer
Class IndexValue

    java.lang.Object
      com.dbxml.db.core.data.Value
          com.dbxml.db.core.indexer.IndexValue

All Implemented Interfaces:
  java.lang.Comparable

public final class IndexValue
extends Value

IndexValue

Constructor Summary
`IndexValue(byte[] data)`
`IndexValue(byte[] data, int pos, int len)`
`IndexValue(Value value)`
`IndexValue(Value value, Value extra)`

Method Summary
`Value` | `getExtraValue()`
`static Value` | `getExtraValue(Value value)`
`Value` | `getIndexValue()`
`static Value` | `getIndexValue(Value value)`

Methods inherited from class com.dbxml.db.core.data.Value
`compareTo, compareTo, copyTo, equals, equals, getData, getInputStream, getLength, getOffset, getRawData, hashCode, startsWith, streamTo, toString, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IndexValue

    public IndexValue(Value value,
                      Value extra)

### IndexValue

    public IndexValue(Value value)

### IndexValue

    public IndexValue(byte[] data)

### IndexValue

    public IndexValue(byte[] data,
                      int pos,
                      int len)

Method Detail

### getIndexValue

    public Value getIndexValue()

### getIndexValue

    public static Value getIndexValue(Value value)

### getExtraValue

    public Value getExtraValue()

### getExtraValue

    public static Value getExtraValue(Value value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group